Bug 111345 - CAN-2003-0971 GnuPG ElGamal compromise
Summary: CAN-2003-0971 GnuPG ElGamal compromise
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: gnupg (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-02 14:01 UTC by Mark J. Cox
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-11 00:18:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:395 normal SHIPPED_LIVE Important: gnupg security update 2003-12-10 05:00:00 UTC

Description Mark J. Cox 2003-12-02 14:01:32 UTC
hong Nguyen identified a severe bug in the way GnuPG creates and uses
ElGamal keys, which can be used for signing. This vulnerability can be
used to trivially recover the private key. While the default behavior of
GnuPG when generating keys does not lead to the creation of unsafe
keys, by
overriding the default settings an unsafe key could have been created.

If you are using ElGamal revoke those keys immediately.

The packages included in our upcoming update do not make such keys
safe to use -- they merely include a patch by David Shaw that disables
functions which would generate or use such keys.

RHSA-2003:395 in progress

       CAN-2003-0971 Affects: 2.1AS 2.1AW 2.1ES 2.1WS
       CAN-2003-0971 Affects: 3AS 3ES 3WS

Comment 1 Nalin Dahyabhai 2003-12-11 00:18:58 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-395.html



Note You need to log in before you can comment on or make changes to this bug.